petsc-3.7.1 2016-05-15
Report Typos and Errors

# MatMFFDSetOptionsPrefix

Sets the prefix used for searching for all MatMFFD options in the database.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatMFFDSetOptionsPrefix(Mat mat,const char prefix[])

Collective on Mat Many br

### Input Parameter

| A | - the Mat context Many br
| prefix | - the prefix to prepend to all option names Many br

### Notes

A hyphen (-) must NOT be given at the beginning of the prefix name. Many brThe first character of all runtime options is AUTOMATICALLY the hyphen. Many br

Many br

### Keywords

SNES, matrix-free, parameters

### See Also

MatSetFromOptions(), MatCreateSNESMF()

Level:advanced
Location:src/mat/impls/mffd/mffd.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages